# Forgot Password

| **API URL**     | {{url}}/user-service/user/forgot-password/{username}/{client}            |
| --------------- | ------------------------------------------------------------------------ |
| **Method**      | POST                                                                     |
| **Description** | Forgot Password by username and response will send an email notification |

#### **Input** <a href="#forgotpassword-v2-input" id="forgotpassword-v2-input"></a>

| **Field Name**         | **Type** | **Mandatory** | **Example**                                                                                                                             |
| ---------------------- | -------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization (Header) | String   | Yes           | Bearer 1ba363a1edf54402b51f58060aa52b11d30f99a490295adec900fdabf2b472181c0bfb165be18f4f5c430c7218a244bd29b9300d3471acc08197ccfb996118f6 |
| client(Header)         | String   | Yes           | web                                                                                                                                     |
| username(parameter)    | String   | Yes           | <aaaa@aaa.aaaa>                                                                                                                         |

#### **Sample Input** <a href="#forgotpassword-v2-sampleinput" id="forgotpassword-v2-sampleinput"></a>

{{url}}/user-service/user/forgot-password/aaaa\@aaa.aaaa/web

**Sample Output**

| **Field Name** | **Type** | **Comments**                                               |
| -------------- | -------- | ---------------------------------------------------------- |
| message        | String   | An email will be sent if the account exists in our system. |
| entity         | Boolean  | Entity                                                     |
| status         | Boolean  | Status of API                                              |
| responseCode   | Int      | Response Code of API                                       |

```
  {
      "message": "An email will send if the account exists in our system.",
      "entity": true,
      "status": true,
      "entityList": null,
      "responseCode": 200,
      "totalCount": null
  }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/engineering/api-documentation/common-services/forgot-password.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
